<?
if (!defined('INSTALL_MODULES')) {
	die ("You can't access this file directly...");
}

if ((!is_god($admin)) && (!is_user($user)) && (!is_admin($admin))) { 
redirect_url("".$admin_file.".php?op=modules"); }


$numbertables = 4;

$result4 = $db2->sql_query("CREATE TABLE ".$prefix_install."_nsnhelp_admin(
`id_aide_admin` int(11) unsigned NOT NULL auto_increment,
  `id_aide` int(11) NOT NULL default '0',
  `aid` varchar(30) NOT NULL default '',
  `admin_avis` text NOT NULL,
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id_aide_admin`),
  KEY `aid` (`aid`))");

################################################################################

$result5 = $db2->sql_query("CREATE TABLE ".$prefix_install."_nsnhelp_config(
  `config_name` varchar(255) NOT NULL default '',
  `config_value` longtext NOT NULL,
  UNIQUE KEY `config_name` (`config_name`))");

$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('anderfonction', 'Spunta questa casella se non trovi argomenti che ti soddisfano ed indicaci quale argomento vorresti fosse inserito nel sito, può darsi che lo creeremo per te.')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('border', '1')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('col1', 'Selezione')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('col2', 'Moduli')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('col3', 'Funzioni')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('iasafun', ':::...Testo a scelta...:::')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('infoshelp', 'Vorremmo sapere un pò più su di te e sulle tue motivazioni di collaborazione....')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('nohelp', 'Per il momento il nostro staff è al completo :)')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('thx', 'Grazie, ti invieremo un messaggio privato per informarti sul prosieguo della tua domanda di collaborazione.')");
$db2->sql_query("INSERT INTO ".$prefix_install."_nsnhelp_config VALUES ('VersNum', '1.2.0')");

################################################################################

$result6 = $db2->sql_query("CREATE TABLE ".$prefix_install."_nsnhelp_fonction(
  `id` int(11) unsigned NOT NULL auto_increment,
  `fonction_titre` varchar(255) NOT NULL default '',
  `fonction_desc` longtext NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `fonction_titre` (`fonction_titre`))");

################################################################################

$result7 = $db2->sql_query("CREATE TABLE ".$prefix_install."_nsnhelp_help(
 `id_aide` int(11) unsigned NOT NULL auto_increment,
  `id_user_aide` int(11) NOT NULL default '0',
  `user_name_aide` varchar(25) NOT NULL default '',
  `description_aide` text NOT NULL,
  `fonction_titre` varchar(255) NOT NULL default '',
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `aide_probleme` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id_aide`))");

?>